﻿using BinaryDad.Notes.Services;
using Microsoft.AspNetCore.Mvc;

namespace BinaryDad.Notes.Controllers;

public class HomeController : Controller
{
    private readonly INoteService noteService;

    public HomeController(INoteService noteService)
    {
        this.noteService = noteService;
    }

    [Route("{noteName?}")]
    public IActionResult Index(string? noteName)
    {
        var content = noteService.Get(noteName);

        return View((object)content);
    }
}
